﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace cz.zcu.PreSti
{
    public interface IPresentation
    {
        SortedSet<RunnableComponent> layers
        {
            get;
        }

        List<RunnableComponent> entryPoints
        {
            get;
        }

        string LastError
        {
            get;
            set;
        }

        Boolean supportsGraphics();
        void terminate();
        Boolean supportsAudio();
        void initSound();
        void playSound(String Ps_soundName);
        void initSubdiagramComponents(string name, ref List<RunnableComponent> entryPoints, ref List<RunnableComponent> exitPoints, ref List<RunnableComponent> setters, ref List<RunnableComponent> getters);
    }
}
