﻿using System;
using System.Collections.Generic;
using System.Drawing;

namespace cz.zcu.PreSti
{
    public interface ISymbols
    {
        int GetSymbolsCount();
        List<ISymbol> GetEntryPoints();
        List<ISymbol> GetExitPoints();
        List<ISymbol> GetSetters();
        List<ISymbol> GetGetters();
        List<ITrigger> GetTriggers(ISymbol symbol);
        List<IConnection> GetSetterConnections(ISymbol symbol);
        String GetActualTooltipText(Point position, out Point tooltipPos);
        String GetActualTooltipText(Point position);
    }
}
