﻿using Dataweb.NShape.Advanced;

namespace cz.zcu.PreSti.Shapes.Sample
{
    public static class NShapeLibraryInitializer
    {
        public static void Initialize(IRegistrar registrar)
        {
            registrar.RegisterLibrary(namespaceName, preferredRepositoryVersion);

            registrar.RegisterModelObjectType(new GenericModelObjectType("SampleStimulusModel", namespaceName, namespaceName,
                SampleStimulusModel.CreateInstance, SampleStimulusModel.GetPropertyDefinitions, 5));

            registrar.RegisterShapeType(new ShapeType("SampleStimulus", namespaceName, namespaceName,
                SampleStimulusSymbol.CreateInstance, SampleStimulusSymbol.GetPropertyDefinitions));
        }
        private const string namespaceName = "PreStiSampleShapes";
        private const int preferredRepositoryVersion = 2;
    }
}
