﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace cz.zcu.PreSti.Guide
{
    /// <summary>
    /// Provides item to the textbox label fields
    /// </summary>
    public class Property
    {
        private TextBox textBox;

        /// <summary>
        /// Gets or sets the text box.
        /// </summary>
        /// <value>
        /// The text box.
        /// </value>
        public TextBox TextBox
        {
            get { return textBox; }
            set { textBox = value; }
        }
        private Label label;

        /// <summary>
        /// Gets or sets the label.
        /// </summary>
        /// <value>
        /// The label.
        /// </value>
        public Label Label
        {
            get { return label; }
            set { label = value; }
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="Property"/> class.
        /// </summary>
        /// <param name="textBox">The text box.</param>
        /// <param name="label">The label.</param>
        public Property(TextBox textBox, Label label)
        {
            this.textBox = textBox;
            this.label = label;
        }
    }
}
